Subject: gnome-tweak-tool fails to start

From: Chris Marusich <[email-masked]>
Date: Thu, 08 Jun 2017 08:05:35 -0700

Hi,

I recently did a "guix pull" and upgraded the software installed in my
profile.  Since then, gnome-tweak-tool has failed to start.  Before
that, it started up successfully.

Here's the error:

--8<---------------cut here---------------start------------->8---
$ gnome-tweak-tool 

(..gnome-tweak-tool-real-real:2030): GLib-GIO-ERROR **: Settings schema 'org.gnome.shell' does not contain a key named 'disable-user-extensions'
Trace/breakpoint trap
--8<---------------cut here---------------end--------------->8---

Here's the bad version:

/gnu/store/6zgb18rbi8r4lhvpa38jym6c36xxb2r2-gnome-tweak-tool-3.24.0/bin/gnome-tweak-tool

Here's the last good version I had installed on my system:

/gnu/store/9i80nasg0z8dn88qdskmhcvzs5vkkfd7-gnome-tweak-tool-3.22.0/bin/gnome-tweak-tool

Any idea how to debug this or fix this?  I wonder if it's related to the
recent merge from staging into master (f484a50d5), which seems to have
caused other bugs (e.g., bug 27264).

-- 
Chris